## NemoSimpleButton

NemoSimpleButton — A stripped down GtkButton for embedding in menu items.

## Functions

NemoSimpleButton * | nemo_simple_button_new ()
NemoSimpleButton * | nemo_simple_button_new_from_icon_name ()
NemoSimpleButton * | nemo_simple_button_new_from_stock ()
NemoSimpleButton * | nemo_simple_button_new_from_file ()

## Types and Values

| NemoSimpleButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkButton
                            ╰── NemoSimpleButton

## Implemented Interfaces

NemoSimpleButton implements AtkImplementorIface, GtkBuildable, GtkActionable and GtkActivatable.

## Description

This button class is intended to be used in a NemoMenuItem to allow some advanced functionality within a single item row.

## Functions

### nemo_simple_button_new ()

    NemoSimpleButton *
    nemo_simple_button_new (void);

### nemo_simple_button_new_from_icon_name ()

    NemoSimpleButton *
    nemo_simple_button_new_from_icon_name (const gchar *icon_name,
                                           int icon_size);

### nemo_simple_button_new_from_stock ()

    NemoSimpleButton *
    nemo_simple_button_new_from_stock (const gchar *stock_id,
                                       int icon_size);

### nemo_simple_button_new_from_file ()

    NemoSimpleButton *
    nemo_simple_button_new_from_file (const gchar *path,
                                      int icon_size);

## Types and Values

### NemoSimpleButton

    typedef struct _NemoSimpleButton NemoSimpleButton;